AquaMap
Date: 2012-07-06

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.gcube.application.aquamaps.aquamapsservice.stubs.datamodel.enhanced
Class AquaMap

    java.lang.Object
      org.gcube.application.aquamaps.aquamapsservice.stubs.datamodel.enhanced.AquaMap

###

###

###

###

###

###

###

###

###

###

###

###

###

###

###

###

###

###

###

###

###

###

###

###

###

###

###

###

###

###

###

###

###

###

    Constructor Summary

    AquaMap()

    Method Summary

     boolean
    equals(java.lang.Object obj)

    Methods inherited from class java.lang.Object

    getClass, notify, notifyAll, wait, wait, wait

    Constructor Detail

    AquaMap

    public AquaMap()

    AquaMap

    public AquaMap(Map toLoad)

    Method Detail

    toStubsVersion

    public Map toStubsVersion()
                       throws JSONException

    Throws:
    JSONException

    toStubsVersion

    public static MapArray toStubsVersion(java.util.Collection<AquaMap> toConvert)
                                   throws JSONException

    Throws:
    JSONException

    load

    public static java.util.List<AquaMap> load(MapArray toLoad)

    getLayer

    public LayerInfo getLayer()

    setLayer

    public void setLayer(LayerInfo layer)

    isGis

    public boolean isGis()

    setGis

    public void setGis(boolean gis)

    getTitle

    public java.lang.String getTitle()

    setTitle

    public void setTitle(java.lang.String title)

    getMapType

    public ObjectType getMapType()

    setMapType

    public void setMapType(ObjectType mapType)

    getFiles

    public java.util.ArrayList<File> getFiles()

    setFiles

    public void setFiles(java.util.ArrayList<File> files)

    getResource

    public Resource getResource()

    isCustom

    public java.lang.Boolean isCustom()

    setCustom

    public void setCustom(java.lang.Boolean custom)

    setResource

    public void setResource(Resource resource)

    getCoverage

    public java.lang.String getCoverage()

    setCoverage

    public void setCoverage(java.lang.String coverage)

    getCreationDate

    public java.lang.Long getCreationDate()

    setCreationDate

    public void setCreationDate(java.lang.Long creationDate)

    getAuthor

    public java.lang.String getAuthor()

    setAuthor

    public void setAuthor(java.lang.String author)

    getFileSetId

    public java.lang.String getFileSetId()

    setFileSetId

    public void setFileSetId(java.lang.String fileSetId)

    getLayerId

    public java.lang.String getLayerId()

    setLayerId

    public void setLayerId(java.lang.String layerId)

    getSpeciesCsvList

    public java.lang.String getSpeciesCsvList()

    setSpeciesCsvList

    public void setSpeciesCsvList(java.lang.String speciesCsvList)

    hashCode

    public int hashCode()

    Overrides:hashCode in class java.lang.Object

    equals

    public boolean equals(java.lang.Object obj)

    Overrides:equals in class java.lang.Object

    toString

    public java.lang.String toString()

    Overrides:toString in class java.lang.Object

          Overview
          Package
        Class
          Use
          Tree
          Deprecated
          Index
          Help

     PREV CLASS
     NEXT CLASS

      FRAMES
     NO FRAMES

      SUMMARY: NESTED | FIELD | CONSTR | METHOD

    DETAIL: FIELD | CONSTR | METHOD